# Poco::Crypto

# class EncryptingOutputStream

Library: Crypto
Package: Cipher
Header: Poco/Crypto/CryptoStream.h

## Description

This stream encrypts all data passing through it using the given Cipher.

## Inheritance

Direct Base Classes: CryptoIOS, std::ostream

All Base Classes: CryptoIOS, std::ios, std::ostream

## Member Summary

Member Functions: close

Inherited Functions: rdbuf

## Constructors

### EncryptingOutputStream

EncryptingOutputStream(
std::ostream & ostr,
Cipher & cipher,
std::streamsize bufferSize = 8192
);

Create a new EncryptingOutputStream object using the given cipher.

## Destructor

### ~EncryptingOutputStream

~EncryptingOutputStream();

Destroys the EncryptingOutputStream.

## Member Functions

### close

void close();

Flushes all buffers and finishes the encryption.